## calligra 2.9.0

=== debian/changelog ===
calligra (1:2.9.0-0ubuntu2) vivid; urgency=medium

  * calligragemini depends on libqtwebkit-qmlwebkitplugin
  * Add kubuntu_qtquick-plugin-directory.diff to put qtquick bits where
    they can be found
  * Remove kexi-postgresql-driver it no longer builds with our version of
    libpq
  * Add upstream_krita-armhf.diff to fix build on arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Feb 2015 15:21:26 +0100

calligra (1:2.9.0-0ubuntu1) vivid; urgency=medium

  [ Philip Muskovac ]
  * calligra-data breaks/replaces calligraplan << 1:2.8.90 

  [ Jonathan Riddell ]
  * New upstream release
  * Remove kritasketch and kritagemini packages as advised by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 08 Feb 2015 12:23:52 +0100

calligra (1:2.8.90-0ubuntu10) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 14:13:37 +0000

calligra (1:2.8.90-0ubuntu9) vivid; urgency=medium

  * otra cosas

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 23:43:33 +0100

calligra (1:2.8.90-0ubuntu8) vivid; urgency=medium

  * Algo mas

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 18:14:37 +0100

calligra (1:2.8.90-0ubuntu7) vivid; urgency=medium

  * y tambien

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 16:39:09 +0100

calligra (1:2.8.90-0ubuntu6) vivid; urgency=medium

  * And again

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 15:02:47 +0100

=== debian/control ===
Source: calligra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
           Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cauchy-dev,
               cmake (>= 2.6.2),
               debhelper (>= 9),
               freetds-dev,
               kdelibs5-dev (>= 4:4.4.0),
               kdepimlibs5-dev (>= 4:4.4.3),
               libattica-dev,
               libboost-dev,
               libboost-system1.55-dev,
               libeigen3-dev,
               libetonyek-dev,
               libexiv2-dev,
               libfftw3-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libglew-dev [!armel !armhf !arm64],
               libglib2.0-dev,
               libgsl0-dev,
               libicu-dev,
               libjpeg-dev,
               libkactivities-dev,
               libkdcraw-dev (>= 4:4.4.3),
               liblcms2-dev,
               libmarble-dev (>> 4:4.8),
               libmysqlclient-dev,
               libodfgen-dev,
               libopencolorio-dev [!armhf],
               libopenexr-dev,
               libopenjpeg-dev,
               libphononexperimental-dev,
               libpng-dev,
               libpoppler-private-dev,
               libpoppler-qt4-dev,
               libpq-dev,
               libpqxx3-dev,
               libqca2-dev,
               libqt4-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libsoprano-dev,
               libspnav-dev,
               libsqlite3-dev,
               libtiff-dev,
               libvisio-dev,
               libwpd-dev (>= 0.9.1),
               libwpg-dev (>= 0.2.0),
               libwps-dev,
               libxbase64-dev,
               libxi-dev,
               okular-dev (>= 4:4.12.90),
               pkg-kde-tools (>= 0.9),
               pstoedit,
               shared-desktop-ontologies,
               shared-mime-info,
               vc-dev [!powerpc !armhf !arm64 !ppc64el],
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: braindump (>= ${source:Version}),
         calligraauthor (>= ${source:Version}),
         calligraflow (>= ${source:Version}),
         calligraplan (>= ${source:Version}),
         calligrasheets (>= ${source:Version}),
         calligrastage (>= ${source:Version}),
         calligrawords (>= ${source:Version}),
         karbon (>= ${source:Version}),
         kexi (>= ${source:Version}),
         krita (>= ${source:Version}),
         ${misc:Depends}
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pstoedit
Breaks: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Replaces: calligra-data (<< 1:2.6.4-0ubuntu1), koffice-data (<< 1:2.4)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: calligra-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-calligrasheets-driver,
          kexi-mysql-driver,
          kexi-sybase-driver,
          kexi-xbase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: calligrasheets (= ${binary:Version}),
         kexi (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Sheets plugin for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Sheets in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: kexi-map-form-widget
Architecture: any
Section: database
Depends: kexi (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: map form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a map widget for Kexi using the Marble library.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-map-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a map element for Calligra Reports, based on the
 Marble library.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: calligra-libs (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF -DPRODUCTSET=ALL

override_dh_install:
	dh_movelibkdeinit
	dh_install --list-missing
	#lut and open gl are !arm, this needs made more eloquent
ifeq ($(DEB_HOST_ARCH),i386)
	#dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	#dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	#dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	#dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

## calligra 2.9.2

=== krita/plugins/formats/tiff/CMakeLists.txt ===
add_subdirectory(tests)

set(libkritatiffconverter_LIB_SRCS
    kis_tiff_converter.cc
    kis_tiff_writer_visitor.cpp
    kis_tiff_reader.cc
    kis_tiff_ycbcr_reader.cc
    kis_buffer_stream.cc
    )

########## next target ###############

set(kritatiffimport_PART_SRCS
    ${libkritatiffconverter_LIB_SRCS}
    kis_tiff_import.cc
    )


kde4_add_plugin(kritatiffimport ${kritatiffimport_PART_SRCS})



target_link_libraries(kritatiffimport kritaui ${TIFF_LIBRARIES})

install(TARGETS kritatiffimport  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kritatiffexport_PART_SRCS
    ${libkritatiffconverter_LIB_SRCS}
    kis_tiff_export.cc
    kis_dlg_options_tiff.cpp
    )

kde4_add_ui_files(kritatiffexport_PART_SRCS kis_wdg_options_tiff.ui )

kde4_add_plugin(kritatiffexport ${kritatiffexport_PART_SRCS})



target_link_libraries(kritatiffexport kritaui ${TIFF_LIBRARIES})

install(TARGETS kritatiffexport  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############


########### install files ###############

install( FILES  krita_tiff_export.desktop krita_tiff_import.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/calligra)
install( PROGRAMS  krita_tiff.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
calligra (1:2.9.2-0ubuntu3) wily; urgency=medium

  * Back (forward?) port from Debian
  * Use libwps-0.4.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 13:01:51 +0100

calligra (1:2.9.2-0ubuntu2) vivid; urgency=medium

  * Move kplato plugin to calligraplan where it belongs. This avoids having
    the libs package depend on calligraplan due to so dependencies.
  * Adjust breaks and replaces accordingly
  * Move qtquick components to gemini as it is only used there and hard links
    to private libs that are in the app specific packages.

 -- Harald Sitter <sitter@kde.org>  Tue, 07 Apr 2015 12:13:24 +0200

calligra (1:2.9.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Apr 2015 15:36:18 +0000

calligra (1:2.9.0-0ubuntu6) vivid; urgency=medium

  * Move calligra dbase filter into calligra sheets LP: #1427771

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Mar 2015 11:31:49 +0100

calligra (1:2.9.0-0ubuntu5) vivid; urgency=medium

  * Add calligra-libs.install.armhf file
  * Add breaks/replaces on calligrasheets for calligra-libs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 19:17:03 +0100

calligra (1:2.9.0-0ubuntu4) vivid; urgency=medium

  * Fix patch for lutdocker .desktop file in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 15:18:50 +0100

calligra (1:2.9.0-0ubuntu3) vivid; urgency=medium

  * Add upstream_disable-opengl.diff to disable opengl on armhf
  * Don't build-dep on libqt4-opengl-dev on armhf
  * Fix install of lutdocker files, they are installed in debian/rules not .install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 02 Mar 2015 14:23:13 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
                libpqxx3-dev,
                libqca2-dev,
                libqt4-dev,
-               libqt4-opengl-dev,
+               libqt4-opengl-dev [!armhf],
                libqtwebkit-dev,
                libsoprano-dev,
                libspnav-dev,
@@ -51,7 +51,7 @@
                libvisio-dev,
                libwpd-dev (>= 0.9.1),
                libwpg-dev (>= 0.2.0),
-               libwps-dev,
+               libwps-dev (>= 0.4),
                libxbase64-dev,
                libxi-dev,
                okular-dev (>= 4:4.12.90),
@@ -291,4 +291,3 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: calligra-libs (= ${binary:Version}),

## calligra 2.9.5

=== debian/changelog ===
calligra (1:2.9.5-0ubuntu1) wily; urgency=medium

  [ Clive Johnston ]
  * New Upstream Release

 -- Clive Johnston <clivejo@aol.com>  Mon, 29 Jun 2015 17:34:33 +0100

## calligra 2.9.6

=== debian/changelog ===
calligra (1:2.9.6-0ubuntu5) wily; urgency=medium

  * Use an unversioned boost build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Aug 2015 18:19:36 +0200

calligra (1:2.9.6-0ubuntu4) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:13:15 +0200

calligra (1:2.9.6-0ubuntu3) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:38:50 +0100

calligra (1:2.9.6-0ubuntu2) wily; urgency=medium

  * Rebuild, follow-up for libstdc++ ABI transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Aug 2015 07:33:29 +0000

calligra (1:2.9.6-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Tue, 28 Jul 2015 11:12:09 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                kdepimlibs5-dev (>= 4:4.4.3),
                libattica-dev,
                libboost-dev,
-               libboost-system1.55-dev,
+               libboost-system-dev,
                libeigen3-dev,
                libetonyek-dev,
                libexiv2-dev,
@@ -51,7 +51,7 @@
                libvisio-dev,
                libwpd-dev (>= 0.9.1),
                libwpg-dev (>= 0.2.0),
-               libwps-dev (>= 0.4),
+               libwps-dev,
                libxbase64-dev,
                libxi-dev,
                okular-dev (>= 4:4.12.90),
@@ -291,3 +291,4 @@
 Package: krita
 Architecture: any
 Section: graphics
+Depends: calligra-libs (= ${binary:Version}),
